import { EventEmitter } from '../../stencil-public-runtime';
import IframeMessenger from '../../services/iframeMessenger';
import IframeSession from '../../services/iframeSession';
export declare class QuickomChatHook {
  chatMessage: EventEmitter<{
    memberId: string;
    message: string;
  }>;
  domain: string;
  memberId: string;
  apiKey: string;
  iframeElement: HTMLIFrameElement;
  iframeMessenger: IframeMessenger;
  iframeSession: IframeSession;
  private getUrl;
  private onIframeRef;
  private onLoadIframe;
  private hookChat;
  private onChatBoxMessage;
  render(): any;
  onChangeMemberId(): void;
  onChangeApiKey(): void;
  disconnectedCallback(): void;
}
