import { Instance } from '@popperjs/core';
export declare class QuickomChat {
  domain: string;
  backgroundColor: string;
  memberId: string;
  chatWithMemberId: string;
  apiKey: string;
  avatar: string;
  isOpen: boolean;
  isOpened: boolean;
  bubbleButton: HTMLElement;
  iframeContainer: HTMLElement;
  popper: Instance;
  updatePopper: Function;
  onWindowResize: Function;
  componentDidLoad(): void;
  toggleButton(): void;
  onVisible(ev: CustomEvent<boolean>): void;
  disconnectedCallback(): void;
  initPopper(): void;
  onRefIframeContainer(el: HTMLElement): void;
  listenWindowEvents(): void;
  render(): any;
}
